title: Set Imap Footer keywords: - set imap footer - post - set - imap - footer # Set Imap Footer Set custom email footer for IMAP account. #### Query Parameters **`organization_id`** string required Organization ID #### Request Body **`footer_html`** string optional HTML footer content **`footer_text`** string optional Plain text footer content ## Returns **`message`** string Success message **`footer_html`** string or null HTML footer content **`footer_text`** string or null Plain text footer content Example ```bash cURL curl -X POST "https://api.aitronos.com/v1/personal-connectors/imap-footer" \ -H "X-API-Key: $FREDDY_API_KEY" \ -H "Content-Type: application/json" ``` ```python Python import os import requests api_key = os.environ["FREDDY_API_KEY"] response = requests.post( "https://api.aitronos.com/v1/personal-connectors/imap-footer", headers={"X-API-Key": api_key} ) print(response.json()) ``` ```javascript JavaScript const apiKey = process.env.FREDDY_API_KEY; const response = await fetch('https://api.aitronos.com/v1/personal-connectors/imap-footer', { method: 'POST', headers: { 'X-API-Key': apiKey, 'Content-Type': 'application/json' } }); const data = await response.json(); console.log(data); ``` **Response:** ```json 200 OK { "message": "Operation completed successfully", "footer_html": "Sent via Freddy", "footer_text": "Sent via Freddy" } ``` Errors ```json 401 Unauthorized { "success": false, "error": { "code": "AUTHENTICATION_REQUIRED", "message": "Authentication required. Please provide a valid API key.", "system_message": "Missing or invalid authorization header", "type": "authentication_error", "status": 401, "trace_id": "req_abc123xyz", "timestamp": "2025-11-11T10:30:00Z", "details": {} } } ``` ```json 403 Forbidden { "success": false, "error": { "code": "INSUFFICIENT_PERMISSIONS", "message": "You do not have permission to access this resource.", "system_message": "Insufficient permissions for this operation", "type": "authorization_error", "status": 403, "trace_id": "req_def456uvw", "timestamp": "2025-11-11T10:30:00Z", "details": {} } } ``` ## Related Resources - [List Connectors](/docs/api-reference/connectors/introduction)